@echo off

::	Vincenzo Tschinke, Ph.D.
::	Switzerland
::	
::	Contact:
::	
::	newlead|at|me.com

::	===============================================================

::	wrapper to run newlead in a command shell, usually from MOE
::	uses standard file-names for all files except the newlead input

::	arguments

::	$1  newlead options (e.g. '-r')
::	$2  newlead input
::	$3  lock file

::	===============================================================

::	if NEWLEAD_ROOT is not defined globally, define it here
::	set NEWLEAD_ROOT=<path to NEWLEAD>

::	create/update lock-file
echo "" > %3

set NLD=newlead.exe
set PST="%newlead_root%\scripts\nld2moe.vbs"

echo Running %NLD% ...

::	perform calculation
%NLD% "%1" -i %2

::	post-process
cscript //nologo ""%PST%"" nld.out > nld.svl_script

::	remove lock-file
del %3

echo Calculation done; exiting...
